# Generated by Django 5.0.7 on 2024-08-16 21:58

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

def create_profiles_for_existing_users(apps, schema_editor):
    # Get the models
    User = apps.get_model('auth', 'User')
    Profile = apps.get_model('access', 'Profile')

    # Create a profile for each existing user
    for user in User.objects.all():
        Profile.objects.create(user=user)

class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bio', models.TextField(blank=True, default='', max_length=500)),
                ('image', models.CharField(blank=True, max_length=500, null=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'profiles',
            },
        ),
        migrations.RunPython(create_profiles_for_existing_users)
    ]
